GuidesAPI Reference
API Reference

Calculates indoor routes via GET

Calculates a route through a HERE indoor map

Query Params
string
required

An origin is the initial point where a traveler starts before traversing a route to a destination. It is indoor map location defining origin for a route

Format: IndoorMapWaypointParameter Which consist of

  • Coordinates: lat,lng
  • Indoor map id: indoorMapId string, id of the HERE indoor map
  • Level (floor) id : levelId string, id of the level in the HERE indoor map
  • Query parameter for origin as {lat},{lng};indoorMapId={indoorMapId};levelId={levelId}

Supported place options:

  • indoorMapId: string, id of the HERE indoor map

  • levelId: string, id of the level in the HERE indoor map

  • Note origin does not support any WaypointOptions. They are available for via and destination waypoints.

string
required

A destination is the final endpoint where a traveler arrives after traversing a path. It is indoor map location defining destination for a route

Format: IndoorMapWaypointParameter Which consist of

  • Coordinates: lat,lng
  • Indoor map id: indoorMapId string, id of the HERE indoor map
  • Level (floor) id : levelId string, id of the level in the HERE indoor map
  • Query parameter for destination as {lat},{lng};indoorMapId={indoorMapId};levelId={levelId}

Supported place options:

  • indoorMapId: string, id of the HERE indoor map
  • levelId: string, id of the level in the HERE indoor map

Supported waypoint options:

  • stopDuration: desired duration for the stop, in seconds. The section arriving at this via waypoint will have a wait post action reflecting the stopping time. Must be less than 50000.

  • Note destination only supports stopDuration as waypoint option.

  • Query parameter for destination with waypoint option as {lat},{lng};indoorMapId={indoorMapId};levelId={levelId}!stopDuration=30

string
enum
required

Mode of transport to be used for route calculation.

Allowed:
via
array of strings
length ≤ 5

A via point in the waypoint between origin and destination from where a traveler wants to go through.

Format: IndoorMapWaypointParameter Which consist of

  • Coordinates: lat,lng
  • Indoor map id: indoorMapId string, id of the HERE indoor map
  • Level (floor) id : levelId string, id of the level in the HERE indoor map
  • Query parameter for via as {lat},{lng};indoorMapId={indoorMapId};levelId={levelId}

Supported place options:

  • indoorMapId: string, id of the HERE indoor map
  • levelId: string, id of the level in the HERE indoor map

Supported waypoint options:

  • stopDuration: desired duration for the stop, in seconds. The section arriving at this via waypoint will have a wait post action reflecting the stopping time. Must be less than 50000.
  • passThrough: boolean. Controls waypoint behavior during route calculation:
    • passThrough=false (default) : The route will stop at the via waypoint, creating a new route section.
    • passThrough=true : The route will pass through the via waypoint without stopping.
    • Introducing a stop at the waypoint.
    • Splitting the route into sections.
    • Changing the direction of travel.

Following scenarios are not supported for passThrough parameter:

  • Setting both stopDuration to a value greater than 0 and passThrough=true.
  • Setting passThrough=true for origin or destination of a route.
  • Query parameter for via with waypoint options as {lat},{lng};indoorMapId={indoorMapId};levelId={levelId}!passThrough=false!stopDuration=30
via
string
enum
Defaults to fast

Specifies which optimization is applied during route calculation.

  • fast: Route calculation from start to destination optimized by travel time.
  • short: Route calculation from start to destination disregarding any speed information.
Allowed:
pedestrian
object

Specifies options for pedestrian routing.

vehicle
object

Specifies options for vehicle routing.

avoid
object

Avoid routes that use certain features of the indoor map.

Headers
string

Unique identifier used for end-to-end request tracing and log correlation across services.

string

User-provided token that can be used to trace a request or a group of requests sent to the service.

Responses

Language
Credentials
Bearer
JWT
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json